--- title: "get-box-infra-list" slug: "get-box-infra-list" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/get-box-infra-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-box-infra-list Available in VPC Get the list of box infrastructures. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/box/get-box-infra-list | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `boxId` | Integer | Required | Box number - See [get-box-list](/docs/en/get-box-list). | | `page` | Integer | Optional | Page number - 0-100 (default: 0) | | `size` | Integer | Optional | Number of items per page - 1-100 (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datafence.apigw.ntruss.com/api/v1/box/get-box-infra-list?fenceId=26&boxId=74&page=1&size=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `totalCount` | Integer | - | Number of response results | | `content` | Array | - | Box infrastructure list: [content](/docs/en/get-box-infra-list#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `infraType` | String | - | Infrastructure type code - See [Product code](/docs/en/datafence-code#ProductCode). | | `instanceNo` | Integer | - | Infrastructure instance number | | `instanceName` | String | - | Infrastructure instance name | | `blockStorageInstanceNo` | Integer | - | Number of block storage instance mounted on the server | | `blockStorageSize` | Integer | - | Block storage size (GB) | | `privateIp` | String | - | Server's private IP | | `specName` | String | - | Server spec name or NAS capacity (GB) - See [get-product-spec](/docs/en/get-product-spec). | | `userName1` | String | - | First access account for server or NAS mount path | | `userName2` | String | - | Second access account for server | | `statusCode` | String | - | Box status code - `INITIALIZE` \| `USE` \| `ING` \| `RETURN` \| `TERMINATE` - `INITIALIZE`: creating infrastructure - `USE`: in use - `ING`: changing - `RETURN`: terminating - `TERMINATE`: termination completed | | `statusName` | String | - | Box status name - `Creating infrastructure` \| `In use` \| `Changing` \| `Terminating` \| `Termination completed` | | `instanceStatusCode` | String | - | Infrastructure status code - `RUN` \| `REBOOT` \| `SETTING` - `RUN`: in use - `REBOOT`: restart - `SETTING`: configuring | | `instanceStatus` | String | - | Infrastructure status name - `In use` \| `Restarting` \| `Configuring` | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "totalCount": 5, "content": [ { "infraType": "CON", "instanceNo": *********, "instanceName": "conn-26-74-1", "blockStorageInstanceNo": 1047*****, "blockStorageSize": 500, "privateIp": "10.0.1.70", "specName": "Connect Windows Server (S2 W1 : 2vCPU 8GB Mem)", "userName1": "ncp1", "userName2": "ncp2", "statusCode": "USE", "statusName": "In use", "instanceStatus": "In use", "instanceStatusCode": "RUN" }, { "infraType": "SVR_LNX_UBUNTU", "instanceNo": *********, "instanceName": "svrlnx-26-74-1", "blockStorageInstanceNo": 1047*****, "blockStorageSize": 500, "privateIp": "10.0.1.72", "specName": "CPU Linux Server (S2 L1 : 2vCPU 8GB Mem)", "userName1": "root", "statusCode": "USE", "statusName": "In use", "instanceStatus": "In use", "instanceStatusCode": "RUN" }, { "infraType": "TF_CPU", "instanceNo": *********, "instanceName": "tfcpu-26-74-1", "blockStorageInstanceNo": 1047*****, "blockStorageSize": 500, "privateIp": "10.0.1.71", "specName": "Tensorflow CPU Linux Server (S2-L1 : 2vCPU 8GB Mem)", "userName1": "root", "statusCode": "USE", "statusName": "In use", "instanceStatus": "In use", "instanceStatusCode": "RUN" }, { "infraType": "BOX_NAS", "instanceNo": *********, "instanceName": "74box1", "specName": "500", "userName1": "/mnt/74box1", "statusCode": "USE", "statusName": "In use", "instanceStatus": "In use", "instanceStatusCode": "USE" }, { "infraType": "HD", "instanceNo": *********, "instanceName": "hd-26-74-1", "privateIp": "10.0.1.75", "specName": "2.2", "userName1": "sshuser", "statusCode": "USE", "statusName": "In use", "instanceStatus": "In use", "instanceStatusCode": "USE" } ] } ```